@charset "utf-8";
.fs-c-button--secondary:hover, .fs-c-button--secondary:visited, .fs-c-button--secondary:active {
    color: #000;
}
.cart_noticeTop {
    margin-bottom: 20px;
    font-size: 1.2rem;
    color: #dc2c2c;
}
/* トリガー（アイコン＋テキスト） */
.cart_popup-trigger {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size: 1.4rem;
    justify-content: end;
    color: #1e5d9b;
}

.cart_popup-trigger svg {
    width: 16px;
    height: 16px;
    margin-right: 8px;
    stroke: #1e5d9b;
}

/* ポップアップ背景 */
.cart_popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

/* ポップアップ本体 */
.cart_popup-content {
    background: white;
    padding: 20px;
    width: 90%;
    max-width: 500px;
    border-radius: 8px;
    position: relative;
    opacity: 0;
    transform: scale(0.8);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

/* 閉じるボタン */
.cart_popup-close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 18px;
    cursor: pointer;
}

/* ポップアップ表示時のアニメーション */
.cart_popup-overlay.active {
    display: flex;
}

.cart_popup-overlay.active .cart_popup-content {
    opacity: 1;
    transform: scale(1);
}
.cart_popup-content h2 {
    font-size: 1.6rem;
}
[class^="fs-body-cart"] .fs-c-continueShopping {
    text-align: center;
}
[class^="fs-body-cart"] .fs-c-button--standard {
    background: #fff;
    color: #3c3c3c;
    font-size: 1.4rem;
    padding: 20px;
    min-width: 240px;
    box-shadow: none;
    margin-bottom: 20px;
}
@media screen and (max-width: 768px) {
    .fs-l-cart {
        padding: 0 10px;
    }
    .fs-body-cart .fs-p-linkButton {
        border: 1px solid #7c8790;
        border-radius: 3px;
        display: inline-block;
        line-height: 0.9;
        padding: 15px;
        text-align: center;
    }
    .cart_noticeTop {
        padding: 4px 10px;
        border: 1px solid #dc2c2c;
        font-size: 1rem;
        text-align: center;
    }
    .cart_popup-content {
    width: 90%; /* 小さい画面でもポップアップがほぼ全幅に */
    padding: 15px;
    }

    .cart_popup-trigger svg {
    width: 18px;
    height: 18px;
    }

    .cart_popup-trigger {
    font-size: 1.2rem; /* スマホ用にテキストサイズを少し小さく */
    }
    [class^="fs-body-cart"] .fs-c-button--standard {
        min-width: 100%;
    }
}